For the complete documentation index, see llms.txt. This page is also available as Markdown.

Case Status

Filter cases by case status

Filter by case status (integer).

GET https://clearinghouse.net/api/v2/cases?case_status=case_status_id

Query Parameters

Name
Type
Description

state_id*

integer

state id (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported case status (case_status_id):

5071
Coding Complete

5069

Approved

5074

In Process (Public)

For more information about case statuses, see case_status.

Example

https://clearinghouse.net/api/v2/case?case_status=5071
import requests

url = "https://clearinghouse.net/api/v2/case?case_status=5071"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated